Data - Retrieve Items In Monitoring Tree View

Retrieves the list of views/dashboards/folders available in the Monitoring tree view.

GET http://<Servername>/OperationsManager/data/monitoringTree

Responses

Name Type Description
200 OK

OK. Successfully retrieved the list of views/dashboards/folders available in the Monitoring tree view.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Definitions

TreeNode
TreeViewResponse

TreeNode

Name Type Description
children
collapsedIcon
  • string

Collapsed icon.

description
  • string

Description.

expanded
  • boolean

Expanded.

expandedIcon
  • string

Expanded icon.

icon
  • string

Icon.

id
  • string

ID.

isSealed
  • boolean

Is sealed.

isShortcut
  • boolean

Is shortcut.

label
  • string

Label.

parent
  • string

Parent.

url
  • string

URL.

viewType
  • string

View type.

TreeViewResponse

Name Type Description
data